com.independentsoft.exchange

## Enum OutOfOfficeState

- java.lang.Object
- - java.lang.Enum<OutOfOfficeState>
  - - com.independentsoft.exchange.OutOfOfficeState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OutOfOfficeState>

      public enum OutOfOfficeState
      extends java.lang.Enum<OutOfOfficeState>

  Contains the user's Out of Office (OOF) state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Indicates that the OOF status is set to Disabled.
    `ENABLED` Indicates that the OOF status is set to Enabled.
    `SCHEDULED` Indicates that the OOF status is set to Enabled during a time period identified by the Duration (UserOofSettings) element.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutOfOfficeState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OutOfOfficeState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final OutOfOfficeState DISABLED

      Indicates that the OOF status is set to Disabled.

    - #### ENABLED

          public static final OutOfOfficeState ENABLED

      Indicates that the OOF status is set to Enabled.

    - #### SCHEDULED

          public static final OutOfOfficeState SCHEDULED

      Indicates that the OOF status is set to Enabled during a time period identified by the Duration (UserOofSettings) element.

  - ### Method Detail

    - #### values

          public static OutOfOfficeState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutOfOfficeState c : OutOfOfficeState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OutOfOfficeState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null